tntdb::Row Class Reference

Row represents a row, which is fetched from the database. More...

`#include <row.h>`

## Classes

class | const_iterator

## Public Types

typedef unsigned | size_type
typedef Value | value_type

## Public Member Functions

| Row (IRow *row_)
unsigned | size () const
| Returns the number of columns of this row. More...
bool | empty () const
| Returns true, if this row-object has no columns. More...
Value | getValue (size_type field_num) const
| Returns the field_num's value-object. More...
Value | getValue (const std::string &field_name) const
| Returns the value-object by name. More...
Value | operator[] (size_type field_num) const
| Returns the field_num's value-object. More...
Value | operator[] (const std::string &field_name) const
| Returns the value-object by name. More...
std::string | getName (size_type field_num) const
| Returns the name of the field_num's column. More...
bool | isNull (size_type field_num) const
| Return true, if the specified value is null. More...
bool | isNull (const std::string &field_name) const
| Return true, if the specified value is null. More...
template<typename T >
bool | getValue (size_type field_num, T &ret) const
const_iterator | begin () const
| Returns a iterator to the first column. More...
const_iterator | end () const
| Returns a iterator past the last column. More...
bool | operator! () const
| Returns true, if this class is not connected to a actual databaserow. More...
const IRow * | getImpl () const
| Returns the actual implementation-class. More...
RowReader | reader (size_type n=0) const
| Instantiates a tntdb::RowReader with the passed initial column counter. More...
bool | getBool (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
short | getShort (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
int | getInt (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
long | getLong (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
unsigned short | getUnsignedShort (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
unsigned | getUnsigned (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
unsigned long | getUnsignedLong (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
int32_t | getInt32 (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
uint32_t | getUnsigned32 (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
int64_t | getInt64 (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
uint64_t | getUnsigned64 (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Decimal | getDecimal (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
float | getFloat (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
double | getDouble (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
char | getChar (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
std::string | getString (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
void | getString (size_type field_num, std::string &ret) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Blob | getBlob (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
void | getBlob (size_type field_num, Blob &ret) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Date | getDate (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Time | getTime (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Datetime | getDatetime (size_type field_num) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
bool | getBool (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
int | getInt (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
long | getLong (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
unsigned | getUnsigned (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
unsigned long | getUnsignedLong (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
int32_t | getInt32 (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
uint32_t | getUnsigned32 (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
int64_t | getInt64 (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
uint64_t | getUnsigned64 (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Decimal | getDecimal (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
float | getFloat (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
double | getDouble (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
char | getChar (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
std::string | getString (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
void | getString (const std::string &field_name, std::string &ret) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Blob | getBlob (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
void | getBlob (const std::string &field_name, Blob &ret) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Date | getDate (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Time | getTime (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...
Datetime | getDatetime (const std::string &field_name) const
| The get-methods try to convert the value of the speicfied column to the requested type. More...

## Detailed Description

Row represents a row, which is fetched from the database.

## Member Function Documentation

## begin()

const_iterator tntdb::Row::begin | ( |  | ) | const

Returns a iterator to the first column.

## empty()

bool tntdb::Row::empty | ( |  | ) | const

inline

Returns true, if this row-object has no columns.

## end()

const_iterator tntdb::Row::end | ( |  | ) | const

Returns a iterator past the last column.

## getBlob() [1/4]

Blob tntdb::Row::getBlob | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getBlob() [2/4]

void tntdb::Row::getBlob | ( | size_type | field_num,
|  | Blob & | ret
| ) |  | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getBlob() [3/4]

Blob tntdb::Row::getBlob | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getBlob() [4/4]

void tntdb::Row::getBlob | ( | const std::string & | field_name,
|  | Blob & | ret
| ) |  | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getBool() [1/2]

bool tntdb::Row::getBool | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getBool() [2/2]

bool tntdb::Row::getBool | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getChar() [1/2]

char tntdb::Row::getChar | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getChar() [2/2]

char tntdb::Row::getChar | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDate() [1/2]

Date tntdb::Row::getDate | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDate() [2/2]

Date tntdb::Row::getDate | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDatetime() [1/2]

Datetime tntdb::Row::getDatetime | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDatetime() [2/2]

Datetime tntdb::Row::getDatetime | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDecimal() [1/2]

Decimal tntdb::Row::getDecimal | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDecimal() [2/2]

Decimal tntdb::Row::getDecimal | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDouble() [1/2]

double tntdb::Row::getDouble | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getDouble() [2/2]

double tntdb::Row::getDouble | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getFloat() [1/2]

float tntdb::Row::getFloat | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getFloat() [2/2]

float tntdb::Row::getFloat | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getImpl()

const IRow* tntdb::Row::getImpl | ( |  | ) | const

inline

Returns the actual implementation-class.

## getInt() [1/2]

int tntdb::Row::getInt | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getInt() [2/2]

int tntdb::Row::getInt | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getInt32() [1/2]

int32_t tntdb::Row::getInt32 | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getInt32() [2/2]

int32_t tntdb::Row::getInt32 | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getInt64() [1/2]

int64_t tntdb::Row::getInt64 | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getInt64() [2/2]

int64_t tntdb::Row::getInt64 | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getLong() [1/2]

long tntdb::Row::getLong | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getLong() [2/2]

long tntdb::Row::getLong | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getName()

std::string tntdb::Row::getName | ( | size_type | field_num | ) | const

inline

Returns the name of the field_num's column.

## getShort()

short tntdb::Row::getShort | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getString() [1/4]

std::string tntdb::Row::getString | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getString() [2/4]

void tntdb::Row::getString | ( | size_type | field_num,
|  | std::string & | ret
| ) |  | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getString() [3/4]

std::string tntdb::Row::getString | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getString() [4/4]

void tntdb::Row::getString | ( | const std::string & | field_name,
|  | std::string & | ret
| ) |  | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getTime() [1/2]

Time tntdb::Row::getTime | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getTime() [2/2]

Time tntdb::Row::getTime | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsigned() [1/2]

unsigned tntdb::Row::getUnsigned | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsigned() [2/2]

unsigned tntdb::Row::getUnsigned | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsigned32() [1/2]

uint32_t tntdb::Row::getUnsigned32 | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsigned32() [2/2]

uint32_t tntdb::Row::getUnsigned32 | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsigned64() [1/2]

uint64_t tntdb::Row::getUnsigned64 | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsigned64() [2/2]

uint64_t tntdb::Row::getUnsigned64 | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsignedLong() [1/2]

unsigned long tntdb::Row::getUnsignedLong | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsignedLong() [2/2]

unsigned long tntdb::Row::getUnsignedLong | ( | const std::string & | field_name | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getUnsignedShort()

unsigned short tntdb::Row::getUnsignedShort | ( | size_type | field_num | ) | const

inline

The get-methods try to convert the value of the speicfied column to the requested type.

## getValue() [1/2]

Value tntdb::Row::getValue | ( | size_type | field_num | ) | const

inline

Returns the field_num's value-object.

## getValue() [2/2]

Value tntdb::Row::getValue | ( | const std::string & | field_name | ) | const

inline

Returns the value-object by name.

## isNull() [1/2]

bool tntdb::Row::isNull | ( | size_type | field_num | ) | const

inline

Return true, if the specified value is null.

## isNull() [2/2]

bool tntdb::Row::isNull | ( | const std::string & | field_name | ) | const

inline

Return true, if the specified value is null.

## operator!()

bool tntdb::Row::operator! | ( |  | ) | const

inline

Returns true, if this class is not connected to a actual databaserow.

## operator[]() [1/2]

Value tntdb::Row::operator[] | ( | size_type | field_num | ) | const

inline

Returns the field_num's value-object.

## operator[]() [2/2]

Value tntdb::Row::operator[] | ( | const std::string & | field_name | ) | const

inline

Returns the value-object by name.

## reader()

RowReader tntdb::Row::reader | ( | Row::size_type | n = `0` | ) | const

inline

Instantiates a tntdb::RowReader with the passed initial column counter.

## size()

unsigned tntdb::Row::size | ( |  | ) | const

inline

Returns the number of columns of this row.

The documentation for this class was generated from the following files:

- tntdb/bits/row.h
- tntdb/bits/rowreader.h